org.apache.synapse.transport.netty.api.config

## Class HttpWebSocketInboundEndpointConfiguration

- java.lang.Object
- - org.apache.synapse.transport.netty.api.config.HttpWebSocketInboundEndpointConfiguration

-     public class HttpWebSocketInboundEndpointConfiguration
      extends java.lang.Object

  `HttpWebSocketInboundEndpointConfiguration` encapsulates the configurations that are passed from the inbound endpoints to be used when initializing and starting the listener.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpWebSocketInboundEndpointConfiguration(int port, java.lang.String hostname, java.lang.String endpointName, java.lang.String httpProtocolVersion, java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEndpointName()`
    `java.lang.String` | `getHostname()`
    `java.lang.String` | `getHttpProtocolVersion()`
    `java.util.List<org.apache.synapse.commons.handlers.MessagingHandler>` | `getInboundEndpointHandlers()`
    `int` | `getPort()`
    `SSLConfiguration` | `getSslConfiguration()`
    `void` | `setEndpointName(java.lang.String endpointName)`
    `void` | `setHostname(java.lang.String hostname)`
    `void` | `setHttpProtocolVersion(java.lang.String httpProtocolVersion)`
    `void` | `setInboundEndpointHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)`
    `void` | `setPort(int port)`
    `void` | `setSslConfiguration(SSLConfiguration sslConfiguration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpWebSocketInboundEndpointConfiguration

          public HttpWebSocketInboundEndpointConfiguration(int port,
                                                           java.lang.String hostname,
                                                           java.lang.String endpointName,
                                                           java.lang.String httpProtocolVersion,
                                                           java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)

  - ### Method Detail

    - #### getSslConfiguration

          public SSLConfiguration getSslConfiguration()

    - #### setSslConfiguration

          public void setSslConfiguration(SSLConfiguration sslConfiguration)

    - #### getInboundEndpointHandlers

          public java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> getInboundEndpointHandlers()

    - #### setInboundEndpointHandlers

          public void setInboundEndpointHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)

    - #### getEndpointName

          public java.lang.String getEndpointName()

    - #### setEndpointName

          public void setEndpointName(java.lang.String endpointName)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getHostname

          public java.lang.String getHostname()

    - #### setHostname

          public void setHostname(java.lang.String hostname)

    - #### getHttpProtocolVersion

          public java.lang.String getHttpProtocolVersion()

    - #### setHttpProtocolVersion

          public void setHttpProtocolVersion(java.lang.String httpProtocolVersion)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.